<%
String username="";
boolean isGuest = false;
Authorization authToken = SkinUtils.getUserAuthorization(request, response);
if (authToken == null) {
  authToken = AuthorizationFactory.getAnonymousAuthorization();
  isGuest=true;
}
myEnv.registeUserInit(authToken);
User pageUser = myEnv.getPageUser();
if(isGuest)
{
response.sendRedirect("/pub/login.html");
return;
}
if(!isGuest)
username=pageUser.getUsername();
%>